Object.defineProperty(exports, '__esModule', { value: true });

const express = require('./express.js');
const fastify = require('./fastify.js');
const graphql = require('./graphql.js');
const index = require('./hapi/index.js');
const koa = require('./koa.js');
const mongo = require('./mongo.js');
const mongoose = require('./mongoose.js');
const mysql = require('./mysql.js');
const mysql2 = require('./mysql2.js');
const nest = require('./nest.js');
const postgres = require('./postgres.js');
const prisma = require('./prisma.js');

/**
 * With OTEL, all performance integrations will be added, as OTEL only initializes them when the patched package is actually required.
 */
function getAutoPerformanceIntegrations() {
  return [
    express.expressIntegration(),
    fastify.fastifyIntegration(),
    graphql.graphqlIntegration(),
    mongo.mongoIntegration(),
    mongoose.mongooseIntegration(),
    mysql.mysqlIntegration(),
    mysql2.mysql2Integration(),
    postgres.postgresIntegration(),
    prisma.prismaIntegration(),
    nest.nestIntegration(),
    index.hapiIntegration(),
    koa.koaIntegration(),
  ];
}

exports.getAutoPerformanceIntegrations = getAutoPerformanceIntegrations;
//# sourceMappingURL=index.js.map
