Object.defineProperty(exports, '__esModule', { value: true });

const instrumentation = require('@opentelemetry/instrumentation');
const instrumentationKoa = require('@opentelemetry/instrumentation-koa');
const core = require('@sentry/core');

const _koaIntegration = (() => {
  return {
    name: 'Koa',
    setupOnce() {
      instrumentation.registerInstrumentations({
        instrumentations: [new instrumentationKoa.KoaInstrumentation()],
      });
    },
  };
}) ;

const koaIntegration = core.defineIntegration(_koaIntegration);

exports.koaIntegration = koaIntegration;
//# sourceMappingURL=koa.js.map
