Object.defineProperty(exports, '__esModule', { value: true });

const instrumentation = require('@opentelemetry/instrumentation');
const instrumentationMysql = require('@opentelemetry/instrumentation-mysql');
const core = require('@sentry/core');

const _mysqlIntegration = (() => {
  return {
    name: 'Mysql',
    setupOnce() {
      instrumentation.registerInstrumentations({
        instrumentations: [new instrumentationMysql.MySQLInstrumentation({})],
      });
    },
  };
}) ;

/**
 * MySQL integration
 *
 * Capture tracing data for mysql.
 */
const mysqlIntegration = core.defineIntegration(_mysqlIntegration);

exports.mysqlIntegration = mysqlIntegration;
//# sourceMappingURL=mysql.js.map
