Object.defineProperty(exports, '__esModule', { value: true });

const instrumentation = require('@opentelemetry/instrumentation');
const instrumentationNestjsCore = require('@opentelemetry/instrumentation-nestjs-core');
const core = require('@sentry/core');

const _nestIntegration = (() => {
  return {
    name: 'Nest',
    setupOnce() {
      instrumentation.registerInstrumentations({
        instrumentations: [new instrumentationNestjsCore.NestInstrumentation({})],
      });
    },
  };
}) ;

/**
 * Nest framework integration
 *
 * Capture tracing data for nest.
 */
const nestIntegration = core.defineIntegration(_nestIntegration);

exports.nestIntegration = nestIntegration;
//# sourceMappingURL=nest.js.map
