Object.defineProperty(exports, '__esModule', { value: true });

const instrumentation = require('@opentelemetry/instrumentation');
const instrumentation$1 = require('@prisma/instrumentation');
const core = require('@sentry/core');

const _prismaIntegration = (() => {
  return {
    name: 'Prisma',
    setupOnce() {
      instrumentation.registerInstrumentations({
        instrumentations: [
          // does not have a hook to adjust spans & add origin
          new instrumentation$1.PrismaInstrumentation({}),
        ],
      });
    },
  };
}) ;

/**
 * Prisma integration
 *
 * Capture tracing data for prisma.
 * Note: This requieres to set:
 * previewFeatures = ["tracing"]
 * For the prisma client.
 * See https://www.prisma.io/docs/concepts/components/prisma-client/opentelemetry-tracing for more details.
 */
const prismaIntegration = core.defineIntegration(_prismaIntegration);

exports.prismaIntegration = prismaIntegration;
//# sourceMappingURL=prisma.js.map
