import { expressIntegration } from './express.js';
import { fastifyIntegration } from './fastify.js';
import { graphqlIntegration } from './graphql.js';
import { hapiIntegration } from './hapi/index.js';
import { koaIntegration } from './koa.js';
import { mongoIntegration } from './mongo.js';
import { mongooseIntegration } from './mongoose.js';
import { mysqlIntegration } from './mysql.js';
import { mysql2Integration } from './mysql2.js';
import { nestIntegration } from './nest.js';
import { postgresIntegration } from './postgres.js';
import { prismaIntegration } from './prisma.js';

/**
 * With OTEL, all performance integrations will be added, as OTEL only initializes them when the patched package is actually required.
 */
function getAutoPerformanceIntegrations() {
  return [
    expressIntegration(),
    fastifyIntegration(),
    graphqlIntegration(),
    mongoIntegration(),
    mongooseIntegration(),
    mysqlIntegration(),
    mysql2Integration(),
    postgresIntegration(),
    prismaIntegration(),
    nestIntegration(),
    hapiIntegration(),
    koaIntegration(),
  ];
}

export { getAutoPerformanceIntegrations };
//# sourceMappingURL=index.js.map
