import { registerInstrumentations } from '@opentelemetry/instrumentation';
import { KoaInstrumentation } from '@opentelemetry/instrumentation-koa';
import { defineIntegration } from '@sentry/core';

const _koaIntegration = (() => {
  return {
    name: 'Koa',
    setupOnce() {
      registerInstrumentations({
        instrumentations: [new KoaInstrumentation()],
      });
    },
  };
}) ;

const koaIntegration = defineIntegration(_koaIntegration);

export { koaIntegration };
//# sourceMappingURL=koa.js.map
