import { registerInstrumentations } from '@opentelemetry/instrumentation';
import { MySQLInstrumentation } from '@opentelemetry/instrumentation-mysql';
import { defineIntegration } from '@sentry/core';

const _mysqlIntegration = (() => {
  return {
    name: 'Mysql',
    setupOnce() {
      registerInstrumentations({
        instrumentations: [new MySQLInstrumentation({})],
      });
    },
  };
}) ;

/**
 * MySQL integration
 *
 * Capture tracing data for mysql.
 */
const mysqlIntegration = defineIntegration(_mysqlIntegration);

export { mysqlIntegration };
//# sourceMappingURL=mysql.js.map
