import { registerInstrumentations } from '@opentelemetry/instrumentation';
import { NestInstrumentation } from '@opentelemetry/instrumentation-nestjs-core';
import { defineIntegration } from '@sentry/core';

const _nestIntegration = (() => {
  return {
    name: 'Nest',
    setupOnce() {
      registerInstrumentations({
        instrumentations: [new NestInstrumentation({})],
      });
    },
  };
}) ;

/**
 * Nest framework integration
 *
 * Capture tracing data for nest.
 */
const nestIntegration = defineIntegration(_nestIntegration);

export { nestIntegration };
//# sourceMappingURL=nest.js.map
