import { Event } from '@sentry/types';
/**
 * Resets the file cache. Exists for testing purposes.
 * @hidden
 */
export declare function resetFileContentCache(): void;
interface ContextLinesOptions {
    /**
     * Sets the number of context lines for each frame when loading a file.
     * Defaults to 7.
     *
     * Set to 0 to disable loading and inclusion of source files.
     **/
    frameContextLines?: number;
}
/** Exported only for tests, as a type-safe variant. */
export declare const _contextLinesIntegration: (options?: ContextLinesOptions) => {
    name: string;
    processEvent(event: Event): Promise<Event>;
};
/**
 * Capture the lines before and after the frame's context.
 */
export declare const contextLinesIntegration: (options?: ContextLinesOptions | undefined) => import("@sentry/types").IntegrationFnResult;
export {};
//# sourceMappingURL=contextlines.d.ts.map
