interface HttpOptions {
    /**
     * Whether breadcrumbs should be recorded for requests.
     * Defaults to true
     */
    breadcrumbs?: boolean;
    /**
     * Do not capture spans or breadcrumbs for outgoing HTTP requests to URLs where the given callback returns `true`.
     * This controls both span & breadcrumb creation - spans will be non recording if tracing is disabled.
     */
    ignoreOutgoingRequests?: (url: string) => boolean;
    /**
     * Do not capture spans or breadcrumbs for incoming HTTP requests to URLs where the given callback returns `true`.
     * This controls both span & breadcrumb creation - spans will be non recording if tracing is disabled.
     */
    ignoreIncomingRequests?: (url: string) => boolean;
}
export declare const httpIntegration: (options?: HttpOptions | undefined) => import("@sentry/types").IntegrationFnResult;
export {};
//# sourceMappingURL=http.d.ts.map
