import { Tracer } from '@opentelemetry/api';
import { BasicTracerProvider } from '@opentelemetry/sdk-trace-base';
import { ServerRuntimeClient } from '@sentry/core';
import { NodeClientOptions } from '../types';
/** A client for using Sentry with Node & OpenTelemetry. */
export declare class NodeClient extends ServerRuntimeClient<NodeClientOptions> {
    traceProvider: BasicTracerProvider | undefined;
    private _tracer;
    constructor(options: NodeClientOptions);
    /*Get the OTEL tracer. */
    readonly tracer: Tracer;
    /**
     * @inheritDoc
     */
    flush(timeout?: number): Promise<boolean>;
}
//# sourceMappingURL=client.d.ts.map
